Subject: bug#56323: 29.0.50; [v2] Add new customisable phonetic Tamil input method

From: Visuwesh <[email-masked]>
Date: Sun, 03 Jul 2022 09:27:55 +0530

[சனி ஜூலை 02, 2022] Visuwesh wrote:

> [வெள்ளி ஜூலை 01, 2022] Eli Zaretskii wrote:
>
>>> > Looks like simple misalignment to me, which should be cured by using
>>> > pixel-resolution alignment features.
>>> 
>>> Yep, it is misalignment.  I could try to use those pixel-resolution
>>> alignment features but I really don't think I can do a good enough job.
>>> It is something I tried in the past but gave up since it was too complex
>>> for me.  The current code produces a Good Enough™ table and I think I
>>> will just leave it unless Someone™ complains since after all, the
>>> current situation is much better than what we have in Emacs 28 (the
>>> docfix that happened as part of bug#50143 isn't in Emacs 28).
>>
>> I thought vtable.el was about solving such problems?
>
> I tried to use vtable.el to produce the syllable table.  There are two
> problems:
>
>     . all the calculation done by vtable is slow (perhaps to no one's
>       surprise).
>     . the buffer becomes noticeably slow to scroll after the table is
>       inserted.

Stripping the text-properties keymap, vtable, vtable-column and
vtable-object from the buffer text improved the performance of scrolling
substantially but it is still kind of sluggish.

> I've attached an elisp file of my current progress.
>
> When I commented out the make-vtable call and benchmarked it, it was
> fast so it is not the table data structure that is the bottleneck.